<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<html>
<body>
<b>Search Customer</b>
<html:form action="/searchCustomer">
<table>
<tr>
  <td width="100">Name:</td>
  <td colspan="2"><html:text property="name"/></td>
</tr>
<tr>
  <td>Address:</td>
  <td colspan="2"><html:text property="address"/></td>
</tr>
<tr>
  <td>Phone:</td>
  <td colspan="2"><html:text property="phone"/></td></tr>
</tr>
<tr>
		<td><html:submit>Search</html:submit></td>
		<td>&nbsp;</td>
		<td><html:link action="/displayCreateCustomerForm">Create New Customer</html:link></td>
</tr>
</table>

<c:if test="${customerList!=null}">
<hr/>

<b>Search Results</b><br/><br/>
<table border="1">
<tr>
  <td colspan="6" align="right">
    <c:if test="${customerSearchCriteriaForm.currentPage>1}">
      <html:link action="/searchCustomer" paramId="page" 
        paramName="customerSearchCriteriaForm" paramProperty="previousPage">Previous</html:link>
    </c:if>    
    <c:if test="${customerSearchCriteriaForm.highestPageNumber!=
      customerSearchCriteriaForm.currentPage}">
      <html:link action="/searchCustomer" paramId="page" 
        paramName="customerSearchCriteriaForm" paramProperty="nextPage">Next</html:link>
    </c:if>    
  </td>  
</tr>
<tr>
  <td width="100"><b>No.</b></td>
  <td width="100"><b>Name</b></td>
  <td width="100"><b>Address</b></td>
  <td width="100"><b>Phone</b></td>
  <td width="100">&nbsp;</td>
  <td width="100">&nbsp;</td>
</tr>
<c:forEach var="customer" items="${customerList}" begin="${customerSearchCriteriaForm.startRecord}" end="${customerSearchCriteriaForm.endRecord}">
<tr>
  <td><c:out value="${customer.index}"/></td>
  <td><c:out value="${customer.name}"/></td>
  <td><c:out value="${customer.address}"/></td>
  <td><c:out value="${customer.phone}"/></td>
  <td>
    <html:link action="/getCustomer" paramName="customer" paramId="customerId" paramProperty="id">update</html:link>
  </td> 
  <td>
    <html:link action="/deleteCustomer" paramName="customer" paramId="customerId" paramProperty="id">delete</html:link>
  </td>   
</tr>
</c:forEach>

</table>
</c:if>

</html:form>
</body>
</html>
